Permalink
Fetching contributors…
Cannot retrieve contributors at this time
134 lines (87 sloc) 8.35 KB

Change Log

All notable changes to this project will be documented in this file.

v5.0.0 (2017-07-11)

Full Changelog

Closed issues:

  • Please document the config.puppet_install.install_url parameter #53
  • PuppetLabs repository install is skipped #52
  • Ubuntu 16.04 #51
  • [Debian] Version '3.7.2-1puppetlabs1' for 'puppet-common' was not found #48

Merged pull requests:

v4.1.0 (2016-04-23)

Full Changelog

Closed issues:

  • "offline" mode? #37

Merged pull requests:

v4.0.1 (2016-04-04)

Full Changelog

Closed issues:

  • Machine is force to shutdown and destroyed after puppet is installed #42
  • How to install the latest available version of puppet? #41

Merged pull requests:

  • Adds acceptance test for Fedora 23 #47 (petems)
  • Fixes Vagrant on Puppet > 4 for acceptance #45 (petems)
  • Rubocop fixes #44 (petems)
  • Fixes unlink code to work on Windows machines #43 (petems)

v4.0.0 (2016-01-25)

Full Changelog

Closed issues:

  • Empty puppet_version gives error. #38

Merged pull requests:

v3.1.0 (2016-01-21)

Full Changelog

Closed issues:

  • rake beaker errors with vagrant-puppet-install loaded #35
  • apt repo issue (no puppet-agent found) trying to install puppet 4.3.1 #32
  • The package is just called puppet-agent #31
  • Vagrant Puppet Install does not work on Puppet >= 4 #29
  • Cannot install 'vagrant-puppet-install' on Windows 7 #25
  • Allow installing Facter #17

Merged pull requests:

  • Don't do anything with puppet_version is not set. #36 (glenjamin)
  • .idea folder exclude (all jetbrains IDEs). #34 (MikeCaspar)
  • Add a new Vagrant box to test Ubuntu machines #33 (petems)

v3.0.0 (2015-12-15)

Full Changelog

Closed issues:

Merged pull requests:

v2.7.0 (2014-11-21)

Full Changelog

Closed issues:

  • Github url for puppet-install-shell has changed #10

Merged pull requests:

  • Close #10 Updates location for installer script #14 (petems)
  • Need Vagrant to be ok with bundler 1.7 #13 (petems)

v2.6.0 (2014-08-04)

Full Changelog

Closed issues:

  • Plugin should be disabled if config.puppet\_install.puppet\_version is not present #7
  • Does not work on CentOS 32-bit BaseBox #5

v2.5.0 (2014-08-03)

Closed issues:

  • "Not a valid version of Puppet" error #3
  • 1.4 / 1.5 vagrant compatibility #1

Merged pull requests:

* This Change Log was automatically generated by github_changelog_generator